Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.openal
Class OggDecoder

    java.lang.Object
      org.newdawn.slick.openal.OggDecoder

    public class OggDecoder

extends java.lang.Object

Decode an OGG file to PCM data

Author:
  Kevin Glass

Constructor Summary
`OggDecoder()` Create a new OGG decoder

Method Summary
`OggData` | `getData(java.io.InputStream input)` Get the data out of an OGG file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OggDecoder

    public OggDecoder()

  Create a new OGG decoder

Method Detail

### getData

    public OggData getData(java.io.InputStream input)
                    throws java.io.IOException

  Get the data out of an OGG file

  Parameters:
    `input` - The input stream from which to read the OGG file
  Returns:
    The data describing the OGG thats been read
  Throws:
    `java.io.IOException` - Indicaites a failure to read the OGG file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.